## org.apache.http
Interface ReasonPhraseCatalog

All Known Implementing Classes:
  EnglishReasonPhraseCatalog

    public interface ReasonPhraseCatalog

Interface for obtaining reason phrases for HTTP status codes.

Since:
  4.0

Method Summary
`String` `getReason(int status, Locale loc)` Obtains the reason phrase for a status code.

Method Detail

### getReason

    String getReason(int status,
                     Locale loc)

  Obtains the reason phrase for a status code. The optional context allows for catalogs that detect the language for the reason phrase.

  Parameters:
    `status` - the status code, in the range 100-599
    `loc` - the preferred locale for the reason phrase
  Returns:
    the reason phrase, or `null` if unknown

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.